Create Wire In

Receive funds from an external bank account directly into your Localpayment account via wire transfer. This endpoint is ideal for accepting payments from customers or partners using traditional banking.

Upon submission, you will receive a unique internalId to track the transaction. Use this identifier to monitor the transfer until the funds are successfully credited to your account.

Body Params
string
required
NameTypeRequiredDescription
transactionTypeStringMandatoryTransaction Type (WireIn).
currencyStringMandatoryCurrency codes.
countryStringMandatoryDocument country. ISO 3166-1 alpha-3.
amountStringMandatoryTransaction amount.
commentStringOptionalAn additional comment or description associated with the transaction.
externalIdStringMandatoryA unique identifier generated by your system to track the transaction (alphanumeric and hyphens). We recommend using UUID4 to ensure uniqueness.
accountNumberStringMandatoryLocalpayment account number.
toObjectMandatoryBeneficiary data.
to.nameStringMandatoryBeneficiary name.
to.swiftStringMandatoryBank identification code most used to make international money transfers.
to.addressStringMandatoryBank address.
to.accountNumberStringMandatoryLocalpayment account number.
to.accountNameStringMandatoryBeneficiary owner name.
to.beneficiaryAddressStringMandatoryAccount holder's address.
fromObjectMandatoryDetails of the ordering bank.
from.nameStringMandatoryOrdering bank name.
from.swiftStringMandatoryOrdering bank identification code to make international money transfers.
from.addressStringMandatoryOrdering bank address.
from.accountNumberStringMandatoryLocalpayment account number.
from.routingNumberStringOptionalTransaction identifier code to indicate the banking entities of origin and destination of transfers in the United States.
from.accountNameStringMandatoryThe name associated with the ordering bank account.
from.beneficiaryAddressStringMandatoryThe address of the ordering party.
intermediaryAccountNumberStringOptionalThe account number at the intermediary bank (if any)
intermediaryBankSwiftStringOptionalThe SWIFT code of the intermediary bank (if any).
intermediaryBankNameStringOptionalThe name of the intermediary bank (if any).
string

Transaction receipt

Headers
string
required

Bearer access token for authentication. This token is obtained from the Get Access Token or Refresh Access Token endpoints.

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json